# Uses of Interface
org.opensaml.xmlsec.encryption.OriginatorKeyInfo

Packages that use OriginatorKeyInfo
Package
Description
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of OriginatorKeyInfo in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return OriginatorKeyInfo
Modifier and Type
Method
Description
`OriginatorKeyInfo`
AgreementMethod.`getOriginatorKeyInfo()`
Get the child element containing the key generation material for the originator.
Methods in org.opensaml.xmlsec.encryption with parameters of type OriginatorKeyInfo
Modifier and Type
Method
Description
`void`
AgreementMethod.`setOriginatorKeyInfo(OriginatorKeyInfo newOriginatorKeyInfo)`
Set the child element containing the key generation material for the originator.

## Uses of OriginatorKeyInfo in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement OriginatorKeyInfo
Modifier and Type
Class
Description
`class`
`OriginatorKeyInfoImpl`
Concrete implementation of `OriginatorKeyInfo`.
Fields in org.opensaml.xmlsec.encryption.impl declared as OriginatorKeyInfo
Modifier and Type
Field
Description
`private OriginatorKeyInfo`
AgreementMethodImpl.`originatorKeyInfo`
OriginatorKeyInfo child element value.
Methods in org.opensaml.xmlsec.encryption.impl that return OriginatorKeyInfo
Modifier and Type
Method
Description
`OriginatorKeyInfo`
OriginatorKeyInfoBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`OriginatorKeyInfo`
OriginatorKeyInfoBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`OriginatorKeyInfo`
AgreementMethodImpl.`getOriginatorKeyInfo()`
Get the child element containing the key generation material for the originator.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type OriginatorKeyInfo
Modifier and Type
Method
Description
`void`
AgreementMethodImpl.`setOriginatorKeyInfo(OriginatorKeyInfo newOriginatorKeyInfo)`
Set the child element containing the key generation material for the originator.